<ion-header>
	<ion-navbar>
		<button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Edit Profil</ion-title>
	</ion-navbar>
</ion-header>

<ion-content>
  <ion-item style="border-color: white; border-width: 0px;margin-top:10px" align="center">
    <ion-avatar item-start style="width:100%;padding-left:30%;padding-right:30%;margin-right:12px">
      <div class="container-image">
        <img style="width:100%;height:100%" class="image-avatar-custom" [src]="picture" onError="this.src='assets/img/speakers/turtle.jpg'" imageViewer>
      </div>
    </ion-avatar>
  </ion-item>

  <div align="center">
    <button class="button-input" ion-button small outline (click)="presentActionSheet()" style="text-transform:none;">Ubah Foto</button>
  </div>

  <form #f="ngForm" (ngSubmit)="onEditProfil(f)" novalidate>
    <ion-item style="padding-right: 10px">
      <ion-label class="label-input" floating>Nama</ion-label>
      <ion-input class="border-bottom-input" name="name" [(ngModel)]="nameEditProfil" type="text" ngModel #nameEditProfil_="ngModel" required></ion-input>
    </ion-item>
    <ion-item style="padding-right: 10px">
      <ion-label class="label-input" floating>Email</ion-label>
      <ion-input class="border-bottom-input" type="email" name="email" [(ngModel)]="emailEditProfil" ngModel #emailEditProfil_="ngModel" required pattern="[A-Za-z0-9._%+-]{3,}@[a-zA-Z]{3,}([.]{1}[a-zA-Z]{2,}|[.]{1}[a-zA-Z]{2,}[.]{1}[a-zA-Z]{2,})"></ion-input>
    </ion-item>
    <ion-item style="padding-right: 10px">
      <ion-label class="label-input" floating>Tanggal Lahir</ion-label>
      <ion-datetime class="border-bottom-input dob-input" displayFormat="MM/DD/YYYY" name="dob" [(ngModel)]="dobEditProfil" ngModel #dobEditProfil_="ngModel"></ion-datetime>
    </ion-item>
    <ion-item style="padding-right: 10px">
      <ion-label class="label-input" floating>No. Telepon</ion-label>
      <ion-input class="border-bottom-input" name="phone" [(ngModel)]="phoneEditProfil" ngModel #phoneEditProfil_="ngModel"></ion-input>
    </ion-item>
    <ion-item style="padding-right: 10px">
      <ion-label class="label-input" floating>Alamat</ion-label>
      <ion-input class="border-bottom-input" name="address" [(ngModel)]="addressEditProfil" ngModel #addressEditProfil_="ngModel"></ion-input>
    </ion-item>
    <ion-item style="padding-right: 10px">
      <ion-label class="label-input" floating>Jenis Kelamin</ion-label>
      <ion-select class="border-bottom-input" name="gender" [(ngModel)]="genderEditProfil" ngModel #genderEditProfil_="ngModel">
        <ion-option value = 1>Laki - laki</ion-option>
        <ion-option value = 2>Perempuan</ion-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <button class="button-input" ion-button block style="text-transform:none;">Kirim</button>
    </ion-item>
  </form>
</ion-content>
